.taxonomy-slider {
  position: relative;

  @include media-breakpoint-down(md) {
    .swiper {
      overflow: visible;
    }
  }
}

// General card styles
.taxonomy-card {
  overflow: hidden;
  width: 100%;

  img {
    width: 100%;
    object-fit: cover;
  }

  a {
    text-decoration: none;
  }

  .taxonomy-card__title {
    color: $text-color;
    font-size: $taxonomy-card-title-font-size;
    font-weight: $taxonomy-card-title-font-weight;
  }
}

// Round card styles
.taxonomy-card--circle {
  text-align: center;

  img {
    border-radius: 50%;
  }

  .taxonomy-card__title {
    margin-top: 25px;
  }
}

// Rectangle card styles
.taxonomy-card--rectangle {
  img {
    height: 150px;
  }

  .taxonomy-card__mood-icon {
    position: absolute;
    right: 20px;
    bottom: 17px;
    height: $taxonomy-card-mood-icon-height;
    width: $taxonomy-card-mood-icon-width;
    pointer-events: none;
    background-size: cover;
  }
}

// Round and Square card styles
.taxonomy-card--square {
  img {
    height: 250px;
  }
}
.taxonomy-card--rectangle,
.taxonomy-card--square {
  border-radius: $taxonomy-card-border-radius;
  position: relative;

  &:hover {
    .taxonomy-card__arrow {
      transform: translateX(10px);
      transition: .3s linear;
    }
  }

  .taxonomy-card__arrow {
    @extend .icon;
    @extend .icon--arrow-right;
    position: absolute;
    left: 20px;
    bottom: 20px;
    height: $taxonomy-card-arrow-height;
    width: $taxonomy-card-arrow-width;
    border-radius: 50%;
    font-size: $taxonomy-card-arrow-font-size !important;
    box-shadow: $taxonomy-card-arrow-shadow;
    background: $white;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: .3s linear;
  }

  .taxonomy-card__title {
    position: absolute;
    top: 20px;
    left: 20px;
  }
}
